package com.book.server.service.impl;

import com.book.dao.cps.mapper.OrdersMapper;
import com.book.dao.cps.pojo.Orders;
import com.book.dao.utils.DateUtils;
import com.book.server.service.BookService;
import junit.framework.TestCase;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

@SpringBootTest
@RunWith(SpringRunner.class)
public class BookServiceImplTest {

    @Autowired
    private BookServiceImpl bookService;
    @Autowired
    private OrdersMapper ordersMapper;

    @Test
    public void testGetDefaultFreeChapterNum() {
        int defaultFreeChapterNum = bookService.getDefaultFreeChapterNum();
        System.out.println(defaultFreeChapterNum);
    }
    @Test
    public void testUpdateOrderState() {
        Orders orders = new Orders();
        orders.setId(5800);
        orders.setOutTradeNo("1632278760978000107");
        orders.setState("1");
        orders.setPdorderid("2312312");
        orders.setTransactionId("chorderid1");
        orders.setUpdatetime(DateUtils.getNow());
        orders.setFinishtime(DateUtils.getNow());
       ordersMapper.updateByPrimaryKeySelective(orders);
    }
}